Concrete5 Version 8 Install & Upgrade Errors

Permalink 18 16 Browser Info Environment
Issue: Unable to install or upgrade to Concrete5 Version 8

I have tried installing a fresh copy of version 8.0.3 and 8.1.0, I have also tried upgrading a test site from 5.7.5.13 to 8.0.3 and every time I get the following error:

-----
An unexpected error occurred.

require_once(doctrine/orm/lib/Doctrine/ORM/Mapping/Driver/DoctrineAnnotations.php): failed to open stream: No such file or directory
------

If I look in my error log I see the following:

-----
[08-Feb-2017 11:22:04 America/New_York] PHP Warning: Uncaught exception 'Whoops\Exception\ErrorException' with message 'require_once(doctrine/orm/lib/Doctrine/ORM/Mapping/Driver/DoctrineAnnotations.php): failed to open stream: No such file or directory' in /home/genesi24/public_html/clients/concrete5/concrete/vendor/doctrine/annotations/lib/Doctrine/Common/Annotations/AnnotationRegistry.php:64
Stack trace:
#0 /home/genesi24/public_html/clients/concrete5/concrete/vendor/doctrine/annotations/lib/Doctrine/Common/Annotations/AnnotationRegistry.php(64): Whoops\Run->handleError(2, 'require_once(do...', '/home/genesi24/...', 64, Array)
#1 /home/genesi24/public_html/clients/concrete5/concrete/vendor/doctrine/annotations/lib/Doctrine/Common/Annotations/AnnotationRegistry.php(64): Doctrine\Common\Annotations\AnnotationRegistry::registerFile()
#2 /home/genesi24/public_html/clients/concrete5/concrete/src/Database/EntityManagerConfigFactory.php(88): Doctrine\Common\Annotations\AnnotationRegistry::registerFile('doctrine/orm/li...')
#3 /home/genesi24/public_html/clients/concr in /home/genesi24/public_html/clients/concrete5/concrete/vendor/doctrine/annotations/lib/Doctrine/Common/Annotations/AnnotationRegistry.php on line 64
[08-Feb-2017 11:22:04 America/New_York] PHP Fatal error: Doctrine\Common\Annotations\AnnotationRegistry::registerFile(): Failed opening required 'doctrine/orm/lib/Doctrine/ORM/Mapping/Driver/DoctrineAnnotations.php' (include_path='.:/usr/lib/php:/usr/local/lib/php:/home/genesi24/php') in /home/genesi24/public_html/clients/concrete5/concrete/vendor/doctrine/annotations/lib/Doctrine/Common/Annotations/AnnotationRegistry.php on line 64
-----

Has anyone else experienced this and/or have any suggestions for a solution?


Status: New
tarilotta
View Best Answer
tarilotta replied on at Permalink Reply
tarilotta
Bump
onemhz replied on at Permalink Reply
onemhz
Did you tried folow this steps? For me works in 100%.
http://www.concrete5.org/developers/bugs/8-1-0/files-error-after-up...
tarilotta replied on at Permalink Reply
tarilotta
Yes, I've tried fresh installs via an installer in my cPanel, I've tried manual installs, I've tried manual and automated installs of 5.7.5.13 and then upgrading to 8.1.0 (again, both manual and automated) and every time, no matter what method I use I get the same error.

Note: the directory the error refers to is definitely present.
tarilotta replied on at Best Answer Permalink Reply
tarilotta
I switched my PHP Handler from DSO to suPHP and that seems to have worked. No idea why, TBH, but I have a test 8.1.0 site that appears to be fully functioning.
pixelhero replied on at Permalink Reply
pixelhero
Concrete5 also fails to install when using the FastCGI/fcgid PHP handler too - reported it 2 versions ago and never got looked in to as it seemed to not be that important to them as it worked fine on your typical setup.
tarilotta replied on at Permalink Reply
tarilotta
That seems like quite an oversight. There are real reasons a host may want to utilize a PHP handler other than suPHP. Kind of ties our hands... :/
okhayat replied on at Permalink Reply
okhayat
I am trying to install a fresh C5-8.1
Honestly it's been a long time since I tried any of 5.8.x
Do I need to run composer or anything?
Edit: I just noticed the file requested below doesn't exist. I uploaded thr download .zip fe and extracted it for this installation.
Here is the error:
{"error":{"message":"Concrete\\Controller\\Install::run_routine(): Failed opening required '\/home\/ossama\/public_html\/c581\/application\/config\/site_install.php' (include_path='\/home\/ossama\/public_html\/c581\/concrete\/vendor:.:\/usr\/lib\/php:\/usr\/local\/lib\/php')"},"errors":["Concrete\\Controller\\Install::run_routine(): Failed opening required '\/home\/ossama\/public_html\/c581\/application\/config\/site_install.php' (include_path='\/home\/ossama\/public_html\/c581\/concrete\/vendor:.:\/usr\/lib\/php:\/usr\/local\/lib\/php')"]}
tarilotta replied on at Permalink Reply
tarilotta
Hi Okhayat,

Are you installing this manually or using software to install?

Have you tried downloading a fresh copy of Concrete5 8.1.0 from the downloads page and re-installing?
okhayat replied on at Permalink Reply
okhayat
Yes. I did a fresh install using the downloaded .zip file
okhayat replied on at Permalink Reply
okhayat
I maybe better open another bug report as the error I am getting is dfferent

Thanks

concrete5 Environment Information

Unable to access site to get environment info

Browser User-Agent String

Mozilla/5.0 (Macintosh; Intel Mac OS X 10_12_3) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/55.0.2883.95 Safari/537.36